using Godot;
using System;

[GlobalClass]
public partial class InteractionContentResource : Resource
{
    //Kept for compatibility
    [Export] public Godot.Collections.Dictionary<string, bool> Conditions { get; set; } = new();
    [Export] public string Title { get; set; } = "";
    [Export] public string PathToVisuals { get; set; } = "";
    [Export] public Godot.Collections.Array<InteractionButtonResource> Buttons { get; set; } = new();
    [Export(PropertyHint.MultilineText)] public string Description { get; set; } = "Object Description";
}
